Переполнение буфера в ProFTP

Дата публикации:
26.08.2009
Дата изменения:
26.08.2009
Всего просмотров:
1240
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
ProFTP 2.x
Уязвимые версии: ProFTP 2.9, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке ответов от FTP сервера. Удаленный пользователь, контролирующий FTP сервер, может с помощью специально сформированного ответа вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.labtam-inc.com/index.php?act=products&pid=1

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: ProFTP 2.9 (welcome message) Remote Buffer Overflow Exploit (meta)

или введите имя

CAPTCHA